gadap-config(1)

NAME
gadap-config - Return metainformation about installed libraries

SYNOPSIS
gadap-config [--help] [--cc] [--cxx ] [--cflags] [--libs] [--prefix] [--version]

DESCRIPTION
The gadap-config program is used to retrieve information about the GADAP library on the system. On Debian it is deprecated in favour of using pkg-config gadap as the latter can be used for multiple libraries.

OPTIONS
The following options are supported:

--version
    Displays the version of pkg-config and terminates.

--help
    Displays a help message and terminates.

--cflags
    This prints pre-processor and compile flags required to compile the packages on the command line, including flags for all their dependencies. gadap-config exits with a nonzero code if it can't find metadata for one or more of the packages on the command line.

--libs
    This option is identical to "--cflags", only it prints the link flags.

--cc
    This option lists the C compiler that should be used for compatability.

-cxx
    This option lists the C++ compiler that should be used for compatability.

--prefix
    This option prints the value of the prefix variable, giving the location at which the library was installed.

AUTHOR
gadap-config is copyright (c) 2003-2008 by the Institute of Global Environment and Society (IGES). This manual page was written by Alastair McKinstry, <mckinstry@debian.org>, 2013.